package com.vertsys;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.ObjectInputStream;
import java.util.ArrayList;


public class ClientThread extends Client implements Runnable{

    @Override
    public void run() {
        ArrayList<String> msgs = new ArrayList<>();
        try {
            ObjectInputStream allMessagesStream = new ObjectInputStream(sock.getInputStream());
            msgs = (ArrayList<String>) allMessagesStream.readObject();
        } catch (IOException e) {
            e.printStackTrace();
        } catch (ClassNotFoundException e) {
            e.printStackTrace();
        }


        msgs.forEach(msg -> {
            System.out.println(msg);
        });

        while(!sock.isClosed()){
            try {
                BufferedReader fromServer = new BufferedReader(new InputStreamReader(sock.getInputStream()));
                String newMessage = fromServer.readLine();
                System.out.println(newMessage);
            } catch (IOException e) {
                e.printStackTrace();
            }
        }
    }
}
